<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="dec2oct" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate: 2006-09-10 20:58:00 +0200 (Sun, 10 Sep 2006)
    $</pubdate>
  </info>

  <refnamediv>
    <refname>dec2oct</refname>

    <refpurpose>octal representation of integers</refpurpose>
  </refnamediv>

  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>o=dec2oct(d)</synopsis>
  </refsynopsisdiv>

  <refsection>
    <title>Parameters</title>

    <variablelist>
      <varlistentry>
        <term>d</term>

        <listitem>
          <para>matrix of non negative integers</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>o</term>

        <listitem>
          <para>matrix of character strings</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para><literal>dec2oct(x)</literal> returns the octal representation of a
    matrix of integers.</para>
  </refsection>

  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[ 
dec2oct([2748 10;11 3])
 ]]></programlisting>
  </refsection>

  <refsection>
    <title>See Also</title>

    <simplelist type="inline">
      <member><link linkend="base2dec">base2dec</link></member>

      <member><link linkend="bin2dec">bin2dec</link></member>

      <member><link linkend="oct2dec">oct2dec</link></member>

      <member><link linkend="hex2dec">hex2dec</link></member>

      <member><link linkend="dec2bin">dec2bin</link></member>

      <member><link linkend="dec2hex">dec2hex</link></member>
    </simplelist>
  </refsection>
</refentry>
